<Manage::Container ...attributes @title={{capitalize (t "new icon")}} @breadcrumbs={{@breadcrumbs}}>
  <:content>
    <Manage::RowAdd @name="name" as |id|>
      <Input class="form-control" id={{id}} @value={{this.name}} placeholder={{capitalize (t "what is the icon name?")}} />
    </Manage::RowAdd>

    <Manage::RowAdd @name="description" as |id|>
      <Article::Editor @id={{id}} @value={{this.description}} @onChange={{this.changeDescriptionValue}} @allowNoHeading={{true}} class="article-with-borders" />
    </Manage::RowAdd>

    {{#unless @hasSelectedSet}}
      <Manage::RowAdd @name="icon-set" as |id|>
        {{#if @editableIconSets}}
          <Input::Select id={{id}} @list={{@editableIconSets}} @value={{this.iconSet}} @onChange={{this.changeIconSet}} />
        {{else}}
          <LinkTo @route="manage.icons.addset" @query={{hash next="manage.icons.add"}} class="btn btn-secondary btn btn-add-icon-set">
            <FaIcon @icon="plus" />
            {{capitalize (t "icon set")}}
          </LinkTo>
        {{/if}}
      </Manage::RowAdd>
    {{/unless}}

    <Manage::RowAdd @name="parent-icon" @optional={{true}}>
      <Input::Icons::ParentIcon @value={{this.parentIcon}} @store={{this.store}} @onChange={{this.parentIconChanged}} />
    </Manage::RowAdd>

    <Manage::RowAdd @name="icon" as |id|>
      <Input::Icon @id={{id}} @isNew={{true}} @value={{@model.image}} @parentValue={{this.parentIcon.image}} @onChange={{this.changeImage}} />
    </Manage::RowAdd>

    <Manage::Row @name="submit">
      <Input::Button class="btn btn-primary btn-submit" @disabled={{this.isInvalid}} @action={{this.save}}>
        {{capitalize (t "add")}}
      </Input::Button>
    </Manage::Row>
  </:content>
</Manage::Container>